\documentclass[border=10pt]{standalone}

\usepackage{verbatim}
\usepackage[utf8]{inputenc}
\usepackage{eurosym}

\usepackage{tikz}
\usetikzlibrary{arrows.meta}
\usetikzlibrary{positioning}
\usetikzlibrary{calc}
\usetikzlibrary{shapes}

\tikzset{%
  >={Latex[width=2mm,length=2mm]},
  % Specifications for style of nodes:
            base/.style = {rectangle, draw=black,
%                           text width = 2cm,
                           minimum height = 0.7cm,
                           text centered},
             var/.style = {base, fill=white, text width = 2cm},
     modifiedvar/.style = {base, fill=gray!20, text width = 2cm},
          thread/.style = {base, fill=white, ellipse, text width = 1.35cm},
  	   invisible/.style = {base, fill=none, draw=none, text width = },
}

\begin{document}
% Drawing part, node distance is 1.5 cm and every node
% is prefilled with white background
\begin{tikzpicture}[node distance=0.0cm and 0.00cm,
    every node/.style={fill=white}, align = left]
	% Specification of nodes (position, etc.)
	
%	\node (status)			[invisible, ] {Estado de la línea caché:};
%	\node (status1)			[invisible, right=of status] {\emph{no modificada}};
%
%	\node (var1)			[var, below= 1cm of status.west, anchor=west] {\texttt{var\_0} = 2};
	
	
	\node (var1)			[var, ] {\texttt{var\_0} = 2};
	\node (var2)			[var, right= of var1] {\texttt{var\_1} = 4};
	\node (var3)			[var, right= of var2] {\texttt{var\_2} = 5};
	\node (var4)			[var, right= of var3] {\texttt{var\_3} = 8};
%	\node (var5)			[var, right= of var4] {\texttt{elemento\_4}};
	
%	\node (numero1)			[invisible, above= of var1] {\texttt{0}};
%	\node (numero2)			[invisible, above= of var2] {\texttt{1}};
%	\node (numero3)			[invisible, above= of var3] {\texttt{2}};
%	\node (numero4)			[invisible, above= of var4] {\texttt{3}};
	
%	\coordinate (middle1) at ($(var1)!0.5!(var3)$);
	
	\node (procesoA)		[thread, below=1.cm of var2] {\textit{thread A}};
	\node (procesoB)		[thread, below=1.cm of var3] {\textit{thread B}};
	
	\draw[->] (procesoA)--(var2);
	\draw[->] (procesoB)--(var3);
	
  \end{tikzpicture}
\end{document}
